@Echo Off
Cls
Rem ----------------------------------------------------------------------------
Rem
Rem  Mise en oeuvre. Non reprise dans la documentation.
Rem
Rem  VOIRBBS accepte certains paramtres sur la ligne de commande qui permettent 
Rem  d'obtenir une cration entirement automatique de disques dont la structure
Rem  est parfaitement connue. Voici la syntaxe  respecter :
Rem
Rem  VOIRBBS TITRE REPERTOIRE LISTE COLONNE LIGNE
Rem
Rem          TITRE      = Titre du disque (modifiable par la suite)      
Rem          REPERTOIRE = Unit:\Chemin complet du dbut d'analyse.             
Rem          LISTEASCII = Unit:\Chemin complet de la liste ASCII.     
Rem          COLONNE    = Rglage de la marge GAUCHE (colonne).
Rem          LIGNE      = Rglage de la marge HAUTE (ligne).
Rem
Rem ----------------------------------------------------------------------------
Echo.
Echo                Modle prdfini pour les CD-ASC de DP-TOOL Club
Echo                ------------------------------------------------
Echo.
Echo      VOIRBBS accepte un certain nombre de paramtres pour automatisation.
Echo.
Echo     Ce fichier permet l'analyse automatique du rpertoire VRAC contenu sur
Echo     un CD-ASC. Il analysera galement la liste ASCII situe dans la racine
Echo.
Echo     Cette analyse ne prendra que quelques secondes, et vous  permettra  un 
Echo     accs direct  toutes les archives contenues dans ce rpertoire. Cette
Echo     mthode quivaut  la slection  du  rpertoire  VRAC  par  le  bouton 
Echo     CREATION, la saisie du titre du disque, le choix de l'analyse de  file
Echo     list existante, et le rglage de la marge. En fait, toute la phase  de
Echo     prparation se ralise automatiquement. Il ne vous restera  plus  qu' 
Echo     slectionner le bouton LECTURE pour la dcouverte de vos CD-ROM.
If %1 !==! Goto ERREUR1
If %2 !==! Goto ERREUR1
If Not Exist VOIRBBS.EXE Goto ERREUR2
If Not Exist %1\VRAC\*.ZIP Goto ERREUR3
If Not Exist %1\VRAC%2.TXT Goto ERREUR4
Echo.
Echo                  Lancement de VOIRBBS et analyse automatique
Echo.
Echo        Rpertoire analys : %1\VRAC - Liste analyse : %1\VRAC%2.TXT
Echo.
Echo       Le SETUP doit avoir t rgl auparavant pour le mode automatique
Echo.
Echo        Appuyez sur une touche pour continuer ou CTRL C pour abandonner
Pause > nul
VOIRBBS DP_TOOL_CLUB %1\VRAC %1\VRAC%2.TXT 9 1
Goto FIN
:ERREUR1
Echo.
Echo     Syntaxe : DPTOOL Unit Date          
Echo.
Echo               Unit = Unit de votre lecteur de CD-ROM. [avec les 2 points]
Echo               Date  = Date du CD-ASC. [Inscrite sur la jaquette] 4 chiffres
Echo.
Echo     Exemple : DPTOOL d: 0195          [ici 0195 pour Janvier 95]        
Goto FIN
:ERREUR2
Echo.
Echo       VOIRBBS.EXE est absent. Il doit se trouver dans le mme rpertoire.
Goto FIN
:ERREUR3
Echo.
Echo          Le rpertoire %1\VRAC n'existe pas. Veuillez vrifier SVP.
Goto FIN
:ERREUR4
Echo.
Echo        Le fichier %1\VRAC%2.TXT n'existe pas. Veuillez vrifier SVP.
:FIN
Echo.
